<?php
namespace Modules\API\APIInterne\OxaMobility\Controller;

use GuzzleHttp\Psr7\Response;

// phpcs:ignore
class PAGE_StocksController extends AbsApiController
{

    public function INITAction() :Response
    {
        $trad = $this->getTranslationService();

        $return['Trads']['MLS_Site']                = $trad->t('Site');
        $return['Trads']['MLS_BE_Type']             = $trad->t('Type');
        $return['Trads']['MLS_BE_Choix_Type_E_R']   = $trad->t('Entrée,Réintégration');
        $return['Trads']['MLS_BE_Origine']          = $trad->t('Origine');
        $return['Trads']['MLS_BE_Prov']             = $trad->t('Provenance');
        $return['Trads']['MLS_Origine']             = $trad->t('Origine');
        $return['Trads']['MLS_Dest']                = $trad->t('Destinataire');
        $return['Trads']['MLS_Site_Origine']        = $trad->t('Site origine');
        $return['Trads']['MLS_Site_Dest']           = $trad->t('Site destinataire');
        $return['Trads']['MLS_Num_DS']              = $trad->t('Numéro de DS');
        $return['Trads']['MLS_Pour_Init_Lig']       = $trad->t('Pour initialisation des lignes');
        $return['Trads']['MLS_SI']                  = $trad->t('SI');
        $return['Trads']['MLS_CDC']                 = $trad->t('CDC');
        $return['Trads']['MLS_SCA']                 = $trad->t('SCA');
        $return['Trads']['MLS_PieceJointe']         = $trad->t('Ajouter un document');
        $return['Trads']['MLS_Scanner']             = $trad->t('Scanner un article');
        $return['Trads']['MLS_Ajout_Art']           = $trad->t('Ajouter un article');
        $return['Trads']['MLS_DS_A_Satisfaire']     = $trad->t('Demandes de service à satisfaire');
        $return['Trads']['MLS_DS_Num']              = $trad->t('N° de DS');
        $return['Trads']['MLS_DS_Date_Creat']       = $trad->t('Date de création');
        $return['Trads']['MLS_DS_Tiers_Dest']       = $trad->t('Tiers destinataire');
        $return['Trads']['MLS_DS_Site_Dest']        = $trad->t('Site destinataire');
        $return['Trads']['MLS_BE_OK']               = $trad->t("Votre bon d'entrée n° %1 est enregistré.");
        $return['Trads']['MLS_BS_OK']               = $trad->t('Votre bon de sortie n° %1 est enregistré.');
        $return['Trads']['MLS_BT_OK']               = $trad->t('Votre bon de transfert n° %1 est enregistré.');
        $return['Trads']['MLS_INV_OK']              = $trad->t('Les résultats de votre inventaire n° %1 sont enregistrés.');

        $return['Trads']['MLS_Art_Code']            = $trad->t('Code');
        $return['Trads']['MLS_Art_Designation']     = $trad->t('Désignation');
        $return['Trads']['MLS_Art_Unite']           = $trad->t('Unité');
        $return['Trads']['MLS_Art_Qte']             = $trad->t('Quantité');
        $return['Trads']['MLS_Art_Select']          = $trad->t('Article(s) sélectionné(s)');
        $return['Trads']['MLS_Art_MAJ_Terminee']    = $trad->t('Mise à jour des articles terminée.');
        $return['Trads']['MLS_Art_MAJ_DejaEnCours'] = $trad->t('Une mise à jour des articles est déjà en cours...');
        $return['Trads']['MLS_Art_Ajouter']         = $trad->t('Ajouter des articles');
        $return['Trads']['MLS_Art_Scanner']         = $trad->t('Scanner des articles');
        $return['Trads']['MLS_Art_Confirm_Suppr']   = $trad->t('Confirmez-vous la suppression de l\'article ?');
        $return['Trads']['MLS_Art_Non_Trouve']      = $trad->t('Article %1 non trouvé sur le site %2.');

        $return['Trads']['MLS_Continuer']           = $trad->t('Continuer');
        $return['Trads']['MLS_Confirm_Abandon_Doc'] = $trad->t('Confirmez-vous l\'abandon du document en cours ? Attention, toutes les données saisies (y compris les articles sélectionnés) seront supprimées.');
        $return['Trads']['MLS_Txt_Erreur']          = $trad->t('%1 erreur(s)');
        $return['Trads']['MLS_Txt_Avert']           = $trad->t('%1 avertissement(s)');
        $return['Trads']['MLS_Ligne']               = $trad->t('Ligne');
        $return['Trads']['MLS_Entete']              = $trad->t('En-tête');
        $return['Trads']['MLS_Touch_Cam']           = $trad->t('Touchez la caméra pour démarrer le scan.');
        $return['Trads']['MLS_Vider_Art']           = $trad->t('Vous avez déjà sélectionné des articles. Voulez-vous les supprimer ?');

        $return['Trads']['MLS_Aucun_Art']           = $trad->t('Aucun article sur le site %1.');
        $return['Trads']['MLS_Liste_Art_Videe']     = $trad->t('La liste des articles sélectionnés a été vidée.');
        $return['Trads']['MLS_Confirm_Retrait_Art'] = $trad->t('La quantité devient nulle. Confirmez-vous le retrait de l\'article de cette liste ?');
        $return['Trads']['MLS_Modif_Dest_Choix_DS'] = $trad->t('Vous avez changé le destinataire. Voulez-vous choisir une nouvelle DS ?');

        $return['Trads']['MLS_DS_Qte_Reste']        = $trad->t('Reste à servir');

        $return['Trads']['MLS_Art_Hors_Inv']        = $trad->t('Cet article %1 ne fait pas partie de l\'inventaire.');
        $return['Trads']['MLS_INV_A_Realiser']      = $trad->t('Inventaires à réaliser');
        $return['Trads']['MLS_INV_Date_Creat']      = $trad->t('Date de création');
        $return['Trads']['MLS_INV_Date_Pret']       = $trad->t('Prêt depuis le');
        $return['Trads']['MLS_INV_Qte_Theo']        = $trad->t('Quantité théorique');
        $return['Trads']['MLS_INV_Nb_Art']          = $trad->t('Nombre d\'articles');
        $return['Trads']['MLS_INV_Num']             = $trad->t('N° de l\'inventaire');

        $return['Trads']['MLS_BT_Err_Meme_Site']    = $trad->t('Le site destinataire doit être différent du site d\'origine.');

        $return['Trads']['MLS_Confirm_Filtre']      = $trad->t('Vous avez un filtre en cours.');
        $return['Trads']['MLS_Confirm_Valider']     = $trad->t('Confirmez-vous la validation de ce document ?');
        $return['Trads']['MLS_Tri_Code']            = $trad->t('Code');
        $return['Trads']['MLS_Tri_Lib']             = $trad->t('Lib.');
        $return['Trads']['MLS_Tri_Qte']             = $trad->t('Qté');
        $return['Trads']['MLS_Tri_Empl']            = $trad->t('Empl.');

        $return['Trads']['MLS_Prix_Entree']         = $trad->t('Prix d\'entrée');
        $return['Trads']['MLS_Prix_Excedent']       = $trad->t('Prix de l\'excédent');

        $return['Trads']['MLS_Que_Recherchez_Vous'] = $trad->t('Que recherchez-vous ?');
        $return['Trads']['MLS_Select']              = $trad->t('Sélectionner');

        return $this->createApiResponse($return);
    }
}
